Subject: Re: [arch-d] [IAB] Call for Comment: <draft-iab-rfc3677bis> (IETF ISOC Board of Trustee Appointment Procedures)

From: Russ Housley <[email-masked]>
Date: Wed, 20 Apr 2016 14:18:40 -0400

Scott:

I cannot see how the change that you are proposing to the ISOC Bylaws has any impact on the content of rfc3677bis.  What am I missing?

If I am not missing anything, then it seems to me that waiting to move forward on this is counter to may of the other comments that we got about acting promptly to keep our document in sync with the current bylaws.

Russ

On Feb 25, 2016, at 7:27 AM, Bradner, Scott <[email-masked]> wrote:

> re section 3.5 mid-term vacancies
> 
> please hold off on this particular section for a bit - I am in the middle of proposing some changes 
> to the ISOC bylaws - mostly to clear up some confusions - and one of these changes concerns IETF vacancy appointments
> 
> the current bylaws do not limit when the IETF can appoint someone to fill a vacancy but do limit when such an
> appointment can take office to the start of the ISOC mid year meeting, when all new trustees take office - which might
> be a bit frustrating to the appointee
> 
> I am proposing a bylaws update that will put the IETF appointment t fill a vacancy to be the same
> as it is for the chapters & org members - with until the next appointment cycle (to do otherwise
> provided unequal treatment for the IETF)
> 
> in any case some change is needed to clarify the existing situation
> 
> Scott
> 
>> On Feb 24, 2016, at 12:59 PM, IAB Executive Administrative Manager <[email-masked]> wrote:
>> 
>> This is an announcement of an IETF-wide Call for Comment on
>> draft-iab-rfc3677bis-00.
>> 
>> The document is being considered for publication as a Best Current 
>> Practice RFC within the IAB stream, and is available for inspection 
>> here: https://datatracker.ietf.org/doc/draft-iab-rfc3677bis/
>> 
>> The Call for Comment will last until 2016-03-23. Please send comments to
>> [email-masked] and [email-masked].
>> 
>> 
>> Abstract
>> 
>>  This memo, which obsoletes RFC3677, outlines the process by which the
>>  IETF makes a selection of an Internet Society (ISOC) Board of
>>  Trustees appointment.
>> 
>

---

From: "Scott O. Bradner" <[email-masked]>
Date: Wed, 20 Apr 2016 14:41:14 -0400

My quick read of the vacancy process assumed an approach that made an appointment when a vacancy occurs and the  proposal is to have the IETF follow the same process as the other groups that select trustees and add the seat to the next selection cycle

I may have misread the 3677bis proposal
If so please correct me 

Scott

Sent from my iPhone

> On Apr 20, 2016, at 2:18 PM, Russ Housley <[email-masked]> wrote:
> 
> Scott:
>

---

From: "Scott O. Bradner" <[email-masked]>
Date: Wed, 20 Apr 2016 14:43:22 -0400

Ps the trustees approved sending the by laws proposals out for comment and that will happen in the next few days

Scott

Sent from my iPhone

---

From: Russ Housley <[email-masked]>
Date: Wed, 20 Apr 2016 15:30:30 -0400

Scott:

I think that the language can be aligned with very minimal changes.

If I have understood the potential change to the ISOC Bylaws, this
will work with the current bylaws and the poposed ones, if they are
approved.

OLD:

   This document describes the process for the general, annual
   appointment of ISOC Trustees to fill the seats of Trustees whose
   terms are ending.  However, if an IETF-appointed Trustee is unable to
   serve his or her full term, the IAB may, at its discretion,
   immediately select a replacement to serve the remainder of the term
   using the interim process defined in Section 3.5.1.  If the IAB does
   not invoke the interim process, the next annual selection process
   will fill the vacancy (if the vacant term does not end at that point)
   as well as the regular appointment for that selection cycle.

NEW:

   This document describes the process for the general, annual
   appointment of ISOC Trustees to fill the seats of Trustees whose
   terms are ending.  However, if an IETF-appointed Trustee is unable to
   serve his or her full term, the IAB may, at its discretion, select a
   replacement to serve the remainder of the term using the interim
   process defined in Section 3.5.1, with a start date consistent
   with the [ISOC-By-Laws].  If the IAB does not invoke the interim
   process, the next annual selection process will fill the vacancy
   (if the vacant term does not end at that point) as well as the
   regular appointment for that selection cycle.

Russ

---

From: "Scott O. Bradner" <[email-masked]>
Date: Wed, 20 Apr 2016 15:41:04 -0400

that is not actually consistent

the proposed bylaws change says that the seat is added to the next selection cycle
not that someone gets picked outside of the cycle and only gets seated when the 
people seated by the next selection cycle get seated

it would seem to be more straightforward to just say “added to the next selection cycle” and
I think it would be easier on the IETF to not run multiple selection processes (perhaps overlapping) 
in a year

Scott

> On Apr 20, 2016, at 3:30 PM, Russ Housley <[email-masked]> wrote:
> 
> Scott:
>

---

From: "Scott O. Bradner" <[email-masked]>
Date: Wed, 20 Apr 2016 15:51:27 -0400

since we are talking about it - here is the proposal - it would have come out in the next few days anyway

Current bylaws text in Article II section 3:
------------------------------------------------------------------------------------------------------------------------------------------------
Any vacancy for a Board seat filled by election shall be filled by including the open seat in the next regular election or selection process for that seat after the vacancy occurs so long as a call for nominations has not been announced. If an election includes seats with terms or remaining terms that are unequal in length, then the seat with the longest term shall be filled by the candidate receiving the most votes, the seat with the next longest term shall be filled by the candidate receiving the next most votes, and so on.
 
Any vacancy for a board seat filled by the Internet Engineering Task Force shall be filled by the Internet Engineering Task Force using a process of their own choosing.
 
Any Trustee elected or appointed by the above processes to fill a vacancy will hold office commencing at the start of the Annual General Meeting (AGM) following their election or appointment.

Proposal:
------------------------------------------------------------------------------------------------------------------------------------------------
remove "or selection" from the first sentence of the first paragraph.
Reason:

to be consistent with proposed change to Article 2 section 1.

Proposal: replace 2nd paragraph with the following:
------------------------------------------------------------------------------------------------------------------------------------------------
Any vacancy for a Board seat filled by the Internet Engineering Task Force shall be filled by including the open seat in the next regular appointment process for that seat after the vacancy occurs so long as a call for candidates has not been announced. If an appointment process includes seats with terms or remaining terms that are unequal in length, then Internet Engineering Task Force shall decide which appointment is to receive which term though a mechanism of its own choosing.

Reason:
------------------------------------------------------------------------------------------------------------------------------------------------
to remove the confusion that would result if the IETF were to fill a vacancy and the selection would not be able to be seated until the next AGM and to make the vacancy processes consistent for all trustees

---

From: "Scott O. Bradner" <[email-masked]>
Date: Wed, 20 Apr 2016 16:14:26 -0400

one other thing I should make clear - this is a proposal and the ISOC Board will be asking for input on it
it should not be seen as a fait accompli  - a special address is being setup for the comments & the request will
be sent out in the next few days

Scott

> On Apr 20, 2016, at 3:51 PM, Scott O. Bradner <[email-masked]> wrote:
>